<?php include(locate_template('components/layout/typography.php')); ?>

<?php include(locate_template('components/layout/ctas/grids.php')); ?>
<?php $ctastyle = get_sub_field('cta_style'); ?>

<div class="row style-<?php echo $ctastyle; ?>" style="font-size:<?php echo $textsize; ?>%;<?php if ($textcolor) { ?>color:<?php echo $textcolor; ?>;<?php } ?>">
	<?php while ( has_sub_field('cta_repeater') ) :
		$heading = get_sub_field( 'cta_heading' );
		$description = get_sub_field( 'cta_description' );
		$link = get_sub_field( 'cta_link' );
	?>
	<div class="<?php echo $colxs; ?> <?php echo $colsm; ?> <?php echo $colmd; ?> <?php echo $collg; ?> <?php echo $colxl; ?>">
		<div class="cta-item">
			<?php if( $link ) { ?><a href="<?php echo $link; ?>" style="<?php if ($textcolor) { ?>color:<?php echo $textcolor; ?>;<?php } ?>"><?php } ?>
			<?php 
			$image = get_sub_field('cta_image');
			if( !empty( $image ) ):
				// Image variables
			    $alt = $image['alt'];
			    // Image size attributes
			    $size = 'large';
			    $ctaimg = $image['sizes'][ $size ];
			    $width = $image['sizes'][ $size . '-width' ];
			    $height = $image['sizes'][ $size . '-height' ];
			?>
			<div class="cta-image">
				<img src="<?php echo esc_url($ctaimg); ?>" alt="<?php echo esc_attr($alt); ?>" role="img" aria-label="<?php echo esc_attr($alt); ?>" />
			</div>
			<?php endif; ?>
			<div class="cta-content">
				<?php if( $heading ) { ?><h3 class="cta-heading"><?php echo $heading; ?></h3><?php } ?>
				<?php if( $description ) { ?><div class="cta-description"><?php echo $description; ?></div><?php } ?>
			</div>
			<?php if( $link ) { ?></a><?php } ?>
		</div>
	</div>
	<?php endwhile; ?>
</div>