<?php
if ( have_rows( 'layout', $page_id ) ):

  if ( !isset( $layout_row_id ) ){ $layout_row_id = 1; }

    while ( have_rows( 'layout', $page_id ) ) : the_row();

      $layout_type = get_row_layout();

      switch ( $layout_type ){

        case "page_content":
          $layout_name = "layout-content";
          make_acf_layout("layout-content", "components/layout/page-content.php");
          break;

        case "wysiwyg":
          make_acf_layout("layout-wysiwig", "components/layout/layouts/wysiwyg.php");
          break;

        case "hero":
          make_acf_layout("layout-hero", "components/layout/hero/hero.php");
          break;

        case "ctas":
          make_acf_layout("layout-ctas", "components/layout/ctas/ctas.php");
          break;

        case "gallery":
          make_acf_layout("layout-gallery", "components/layout/layouts/gallery.php");
          break;

        case "wrapper_open":
          $width = "full";
          include(locate_template('components/layout/wrapper/open.php'));
          $width = "";
          break;

        case "wrapper_close":
          include(locate_template('components/layout/wrapper/close.php'));
          break;
        
        case "row_open":
          include(locate_template('components/layout/row/open.php'));
          break;

        case "row_close":
          include(locate_template('components/layout/row/close.php'));
          break;

        case "grid_open":
          include(locate_template('components/layout/grid/open.php'));
          break;

        case "grid_close":
          include(locate_template('components/layout/grid/close.php'));
          break;

        case "template":
          make_acf_layout("layout-default", "components/layout/page-content.php");
          break;

        case "shared_layout":
          include(locate_template('components/layout/layouts/shared.php'));
          break;

      }

      $layout_row_id++;

    endwhile;

  else:
    $layout_background_type = "default";
    $layout_wrapper_width = "contained";
    $mode = "default";
    include(locate_template('components/layout/wrapper/open.php'));
    include(locate_template('components/layout/page-content.php'));
    include(locate_template('components/layout/wrapper/close.php'));
endif;