<?php
$layout_id = get_sub_field('layout_id');
$layout_class = get_sub_field('layout_class');
$layout_wrapper_width = get_sub_field('width');
$layout_padding = get_sub_field('padding_schema');

$layout_background_type = get_sub_field('background_type');
$layout_background_color = get_sub_field('background_color');
$layout_background_opacity = get_sub_field('background_opacity');
$layout_background_image = get_sub_field('background_image');
$layout_background_image_position = get_sub_field('background_image_position');
$layout_background_image_type = get_sub_field('background_image_type');

$type_group = get_sub_field('layout_text_color_size');
$textsize = $type_group['text_size'];
$textcolor = $type_group['text_color'];

$layout_background_inline_styles = [];
$layout_classes = [];

if ( empty($mode) ){ $mode = "field"; }

array_push( $layout_classes, $layout_class );
	
// Padding
if ( $layout_padding !== "none" ){

	$pad = get_field($layout_padding.'_padding_schema','options');
	array_push( $layout_classes, "padding-xs-top-".$pad['top_xs'] );
	array_push( $layout_classes, "padding-sm-top-".$pad['top_sm'] );
	array_push( $layout_classes, "padding-md-top-".$pad['top_md'] );
	array_push( $layout_classes, "padding-lg-top-".$pad['top_lg'] );
	array_push( $layout_classes, "padding-xl-top-".$pad['top_xl'] );
	array_push( $layout_classes, "padding-xs-bottom-".$pad['bottom_xs'] );
	array_push( $layout_classes, "padding-sm-bottom-".$pad['bottom_sm'] );
	array_push( $layout_classes, "padding-md-bottom-".$pad['bottom_md'] );
	array_push( $layout_classes, "padding-lg-bottom-".$pad['bottom_lg'] );
	array_push( $layout_classes, "padding-xl-bottom-".$pad['bottom_xl'] );

}

// Determine the background parameters
switch ( $layout_background_type ){
	
	// Color Backgrounds
	case "color":
		list ($r, $g, $b) = sscanf( $layout_background_color, "#%02x%02x%02x" );
		$rgba =  "$r,$g,$b,".$layout_background_opacity;
		$rgba = "background-color:rgba(".$rgba.");";

		array_push( $layout_background_inline_styles, $rgba );
		array_push( $layout_classes, "layout-bg-bgcolor" );
		break;

	// Image Backgrounds
	case "image":
		array_push( $layout_classes,"layout-bg-image");
		array_push( $layout_background_inline_styles, "background-image:url(".$layout_background_image['url'].");" );
		switch ( $layout_background_image_type ){
			case "scroll":
				array_push( $layout_classes, "layout-bg-scroll" );
				break;
			case "fixed":
				array_push( $layout_classes, "layout-bg-fixed") ;
				break;
		}
		break;

	default:
		array_push( $layout_classes, "layout-wrapper" );
		break;
}


// Add the layout's name to the classes
array_push( $layout_classes, $layout_name );

// Give class to a layout if has custom text color
if ($textcolor) {
array_push( $layout_classes, 'custom-text-color' );
}

// Give background position class if background image assigned
if ($layout_background_image) {
array_push( $layout_classes, 'bg-position-'.$layout_background_image_position );
}

// Give default layout class to all layouts
array_push( $layout_classes, 'layout' );

// Add a fluid container class for BS4 compatibility
array_push( $layout_classes, 'container-fluid' );

// Add the layout's sequence ID to the classes
array_push( $layout_classes, 'layout-row-'.$layout_row_id );

// Build the wrapper element
build_wrapper( $layout_classes, $layout_id, $layout_background_inline_styles );

// Add a BS4 container if contained width is defined and the wrapper mode is for fields
if ( $mode === "field" && $layout_wrapper_width == "contained"  ){
	echo '<div class="container">';
}