<?php
/**
 * Register custom post types
 *
 * @since 1.0
 */
function register_custom_posttypes(){
    $layout_single = "Layout";
    $layout_plural = "Layouts";

    $layout_labels = array(
        'name'                  => __( $layout_plural ),
        'singular_name'         => __( $layout_single ),
        'menu_name'             => __( $layout_plural ),
        'add_new'               => __( 'Add New' ),
        'add_new_item'          => __( 'Add New ' . $layout_single ),
        'new_item'              => __( 'New ' . $layout_single ),
        'edit_item'             => __( 'Edit '. $layout_single ),
        'view_item'             => __( 'View ' . $layout_single ),
        'all_items'             => __( 'All ' . $layout_plural ),
        'search_items'          => __( 'Search ' . $layout_plural ),
        'parent_item_colon'     => __( 'Parent ' . $layout_plural . ':' ),
        'not_found'             => __( 'No ' . $layout_plural . ' Found' ),
        'not_found_in_trash'    => __( 'No ' . $layout_plural . ' Found in the Trash' )
    );

    $layout_args = array(
        'labels'                => $layout_labels,
        'public'                => true,
        'publicly_queryable'    => false,
        'exclude_from_search'   => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'query_var'             => true,
        'rewrite'               => array( 'slug' => 'layout' ),
        'capability_type'       => 'post',
        'has_archive'           => false,
        'hierarchical'          => false,
        'menu_position'         => 61,
        'menu_icon'             => 'dashicons-layout',
        'supports'              => array(
                                        'title'
                                        // 'editor',
                                        // 'author',
                                        // 'thumbnail',
                                        // 'excerpt',
                                        // 'comments'
                                    ),
        );

    register_post_type( 'layout', $layout_args );

    /* Custom Post Types */

    /* Testimonials */
    $testimonials_single = "Testimonial";
    $testimonials_plural = "Testimonials";

    $testimonials_labels = array(
        'name'                  => __( $testimonials_plural ),
        'singular_name'         => __( $testimonials_single ),
        'menu_name'             => __( $testimonials_plural ),
        'add_new'               => __( 'Add New' ),
        'add_new_item'          => __( 'Add New ' . $testimonials_single ),
        'new_item'              => __( 'New ' . $testimonials_single ),
        'edit_item'             => __( 'Edit '. $testimonials_single ),
        'view_item'             => __( 'View ' . $testimonials_single ),
        'all_items'             => __( 'All ' . $testimonials_plural ),
        'search_items'          => __( 'Search ' . $testimonials_plural ),
        'parent_item_colon'     => __( 'Parent ' . $testimonials_plural . ':' ),
        'not_found'             => __( 'No ' . $testimonials_plural . ' Found' ),
        'not_found_in_trash'    => __( 'No ' . $testimonials_plural . ' Found in the Trash' )
    );

    $testimonials_args = array(
        'labels'                => $testimonials_labels,
        'public'                => true,
        'publicly_queryable'    => true,
        'exclude_from_search'   => false,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'query_var'             => true,
        'rewrite'               => array( 'slug' => 'testimonials' ),
        'capability_type'       => 'page',
        'has_archive'           => 'testimonials',
        'hierarchical'          => true,
        'menu_position'         => 20,
        'menu_icon'             => 'dashicons-thumbs-up',
        'supports'              => array(
                                        'title',
                                        'editor',
                                        // 'author',
                                        'thumbnail'
                                        // 'excerpt',
                                        // 'comments'
                                    ),
        );

    register_post_type( 'testimonials', $testimonials_args );

}

add_action( 'init', 'register_custom_posttypes'  );
