<?php
/**
 * Theme-Supported Shortcodes
*/

/** 
* Use the following YouTube and Vimeo shortcodes for videos for fluid videos
* @link http://www.alistapart.com/articles/creating-intrinsic-ratios-for-video/
* @link graphicbeacon.com/web-design-development/embed-an-iframe-into-a-post-or-page-without-using-a-plugin/
*/

// YouTube
function theme_youtube_shortcode($atts) { 
extract(shortcode_atts(array('id' => '1234567','ratio' => ''), $atts)); 
  return '<div class="flex-video '.$ratio.' youtube"><iframe src="https://www.youtube.com/embed/'.$id.'?wmode=opaque" frameborder="0" width="100%" height="480" allowfullscreen></iframe></div>';
}
add_shortcode('youtube','theme_youtube_shortcode');

// Vimeo
function theme_vimeo_shortcode($atts) { 
extract(shortcode_atts(array('id' => '1234567','ratio' => ''), $atts)); 
  return '<div class="flex-video '.$ratio.' vimeo"><iframe src="https://player.vimeo.com/video/'.$id.'?title=0&amp;byline=0&amp;portrait=0&wmode=opaque" frameborder="0" width="100%" height="480" webkitAllowFullScreen allowFullScreen></iframe></div>';
} 
add_shortcode('vimeo','theme_vimeo_shortcode');

// Row Shortcode
function theme_grid_row($atts) {
  extract(shortcode_atts(array('class' => ''), $atts)); 
  return '<div class="row '.$class.'">'; 
}
add_shortcode('row','theme_grid_row');

function theme_end_grid_row() {
  return '</div>'; 
}
add_shortcode('end-row','theme_end_grid_row');

// Col Shortcode
function theme_grid_col($atts) {
  extract(shortcode_atts(array('class' => '','xs'=>'','sm'=>'','md'=>'','lg'=>''), $atts)); 
    return '<div class="col-xs-'.$xs.' col-sm-'.$sm.' col-md-'.$md.' col-lg-'.$lg.' '.$class.'">'; 
}
add_shortcode('col','theme_grid_col');


function theme_end_grid_col() {
  return '</div>'; 
}
add_shortcode('end-col','theme_end_grid_col');

// Div Shortcode
function theme_grid_div($atts) {
  extract(shortcode_atts(array('class' => ''), $atts)); 
  return '<div class="'.$class.'">'; 
}
add_shortcode('div','theme_grid_div');

function theme_end_grid_div() {
  return '</div>'; 
}
add_shortcode('end-div','theme_end_grid_div');

// Button Shortcode
function theme_btn($atts) {
  extract(shortcode_atts(array('class' => '','url' => '#','target' => 'self','text' => '','style' => ''), $atts)); 
	return '<a class="button '.$class.'" href="'.$url.'" target="_'.$target.'" style="'.$style.'" role="button" aria-role="button">'; 
}
add_shortcode('button','theme_btn');

function theme_btn_end() {
	return '</a>'; 
}
add_shortcode('end-button','theme_btn_end');
	
// Icon Shortcode
function theme_icon($atts) {
  extract(shortcode_atts(array('name' => ''), $atts));
  return '<i class="icon icon-'.$name.'" role="img"></i>'; 
}
add_shortcode('icon','theme_icon');

// Divider Shortcode
function theme_hr_divider() {
  return '<hr />'; 
}
add_shortcode('divider','theme_hr_divider');

// Font Small
function theme_font_small($atts, $content, $tag){
	$output = '<span style="font-size: 80%;">'.$content.'</span>';
	return $output;
}
add_shortcode('small','theme_font_small');

/* Shortcode Add to WYSIWYG */
add_action('media_buttons','theme_add_shortcode_buttons',11);
function theme_add_shortcode_buttons($x = 1){
	echo '<div id="shortcode_buttons_'.$x.'" class="shortcode_buttons">
	<div class="label">Shortcodes</div>
	<div><a title="[row class=&quot;&quot;][end-row]">[row]</a></div>
	<div><a title="[col class=&quot;&quot; xs=&quot;12&quot; sm=&quot;6&quot; md=&quot;6&quot; lg=&quot;3&quot;]Content[end-col]">[col]</a></div>
	<div><a title="[div class=&quot;&quot;][end-div]">[div]</a></div>
	<div><a title="[button class=&quot;&quot; url=&quot;#&quot;]Button Text[end-button]">[button]</a></div>
	<div><a title="[icon name=&quot;menu&quot;]">[icon]</a></div>
  <div><a title="[divider]">[divider]</a></div>
	<div><a title="[youtube id=&quot;123&quot; ratio=&quot;widescreen&quot;]">[youtube]</a></div>
	<div><a title="[vimeo id=&quot;123&quot; ratio=&quot;widescreen&quot;]">[vimeo]</a></div>
	<div><a title="[small][/small]">[small]</a></div>
	</div>';
	echo '<script type="text/javascript">
	jQuery(document).ready(function($){
		$("#shortcode_buttons_'.$x.' > div").each(function(){
			$(this).find("a").click(function(){
				var scselected = $(this).attr("title");
				send_to_editor(scselected);
				return false;
			});
		});
	});
	</script>';
	$x++;
}


// Testimonials Shortcode
function diwp_create_shortcode_testimonials_post_type(){

	ob_start();
	echo '<div class="testimonials-carousel owl-carousel owl-theme">';
 
	$args = array(
	'post_type'      => 'testimonials',
	'posts_per_page' => '10',
	'publish_status' => 'published',
	);

	$query = new WP_Query($args);

	if($query->have_posts()) :

	while($query->have_posts()) :

	    $query->the_post() ;
          
	$result .= '<div class="testimonial-item">';
	$result .= '<div class="testimonial-desc">' . get_the_content() . '</div>'; 
	$result .= '<div class="testimonial-name">~ ' . get_the_title() . '</div>';
	$result .= '</div>';

	endwhile;

	wp_reset_postdata();

	endif;

	echo $result;

	echo '</div>';
	return ob_get_clean(); 
}
 
add_shortcode( 'testimonials', 'diwp_create_shortcode_testimonials_post_type' );
