<?php
/**
 * Register the ACF options pages
 *
 * @since 1.0
 */
function register_theme_options_page() {

	if( function_exists('acf_add_options_page') ) {

        $parent = acf_add_options_page(array(
            'icon_url'		=> 'dashicons-admin-tools',
			'page_title' 	=> 'Theme Settings',
			'menu_title'	=> 'Theme Settings',
			'menu_slug' 	=> 'theme-settings',
			'capability'	=> 'edit_posts',
			'redirect'		=> false,
			'position'		=> 60
        ));

        $theme_defaults = acf_add_options_page(array(
        	'page_title' 	=> 'Appearance Settings',
			'menu_title'	=> 'Appearance',
            'parent_slug'	=> $parent['menu_slug'],
        ));

        $theme_settings = acf_add_options_page(array(
			'page_title' 	=> 'Default Layout Settings',
			'menu_title'	=> 'Layout Defaults',
            'parent_slug'	=> $parent['menu_slug'],
        ));

    }
}
add_action('acf/init', 'register_theme_options_page');

/**
 * Display layout field name in the admin
 *
 * @since 1.0
 */
function acf_layouts_display_custom_title($layout_default_title, $field, $layout_custom_title, $i) {
	$layout_custom_title = get_sub_field('layout_title');
	if ($layout_custom_title) {
		return $layout_custom_title;
	} else {
		return $layout_default_title;
	}
}
add_filter('acf/fields/flexible_content/layout_title', 'acf_layouts_display_custom_title', 10, 4);